Summary: diskdump utilities
Name: diskdumputils
Version: 1.2.8
Release: 4
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/System
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: glib2-devel
BuildRequires: zlib-devel
Requires: glib2
ExclusiveArch: i386 ia64 x86_64 ppc64

%description
The diskdump utilities set up the kernel to save memory image to
the specified partition.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 34 -r -f netdump 2>/dev/null 1>&2 || :
/usr/sbin/useradd -c "Network Crash Dump user" -r -u 34 -g netdump \
    -s /bin/bash -r -d /var/crash netdump 2>/dev/null || :

%post
/sbin/chkconfig --add diskdump
# initialize the required bits for negotiating shared secrets, if necessary

%preun
if [ $1 = 0 ]; then
	/sbin/service diskdump stop > /dev/null 2>&1
	/sbin/chkconfig --del diskdump
fi


%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root)/etc/sysconfig/diskdump
/etc/rc.d/init.d/diskdump
%{_mandir}/man8/diskdumpctl.8*
%{_mandir}/man8/diskdumpfmt.8*
%{_mandir}/man8/savecore.8*
%dir %attr(-,netdump,netdump)/var/crash
%dir %attr(-,netdump,netdump)/var/crash/scripts
%doc README
%doc example_scripts
/usr/sbin/diskdumpctl_proc
/usr/sbin/diskdumpctl
/usr/sbin/diskdumpfmt
/usr/sbin/diskdumpmsg
/usr/sbin/savecore
/etc/diskdump/mail_template.us

%changelog
* Mon Mar 27 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 1.2.8-4
- BuildRequires: zlib-devel

* Tue Feb 14 2006 Dave Anderson <anderson@redhat.com> - 1.2.8-3
- Updated source package to diskdumputils-1.2.8.tar.gz.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-6.3.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Thu Mar 03 2005 Akira Imamura <aimamura@redhat.com> 1.0.1-6
- Remove obsolete devlabel Requires:
* Wed Mar 02 2005 Dave Anderson <anderson@redhat.com> 1.0.1-3
- rebuild with gcc 4.
* Tue Mar 01 2005 Akira Imamura <aimamura@redhat.com> 1.0.1-2
- Updated source package to diskdumputils-1.0.1.tar.gz.
- User-space portion of FZ #132466, diskdumpfmt performance improvement.
- Updated to use glib2 instead of glib1.  BZ #136227, BZ #148998
- Added missing a BuildRequires for glib2-devel.  BZ #132872
- Deleted dead code to avoid compiler complaint.  BZ #143202
- Fix for compiler complaint by making a variable static. BZ #136147
* Thu Dec 09 2004 Phil Knirsch <pknirsch@redhat.com> 0.6.2-1
- Tiny Requires fix for correct package ordering
* Wed Oct 13 2004 Nobuhiro Tachino (0.6.2)
- Merge fixes from IBM ppc64.
- Update README
* Wed Sep 29 2004 Dave Anderson (0.6.1-1)
- BuildRequires update 
* Fri Sep  3 2004 Nobuhiro Tachino (0.6.1)
- Always load scsi_dump and ide-dump because scsi_uniq_id becomes
  obsolete.
* Wed Sep  1 2004 Dave Anderson (0.6.0-2)
- Restored README file info lost in last checkin
* Tue Aug 24 2004 Dave Anderson (0.6.0-1)
- bumped release for fc3 build
* Mon Aug 23 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.6.0
- Kernel v2.6 support
* Thu Aug 19 2004 Akira Imamura <aimamura@redhat.com> 0.5.2
- Added progress display in savecore
- Fixed man page of savecore
* Thu Jul 15 2004 Akira Imamura <aimamura@redhat.com> 0.5.1
- Fixed man page of diskdumpfmt
- Fixed progress display in diskdumpfmt
* Wed Jul 14 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.5.0
- ppc64 support
* Tue Jun 29 2004 Akira Imamura <aimamura@redhat.com> 0.4.4
- Fixed overflow of total size in diskdumpfmt
- Fixed misspelling of total size in diskdumpfmt
* Fri Jun 25 2004 Tatsuo Uchida <tuchida@redhat.com> 0.4.3
- Fixed check of sysconfig file in diskdump.sh
* Wed Jun 23 2004 Tatsuo Uchida <tuchida@redhat.com> 0.4.2
- Fixed process of command return value in diskdump.sh
- Fixed messages of diskdumpctl
* Wed Jun  9 2004 Akira Imamura<aimamura@redhat.com> 0.4.1
- error message improved in diskdumpfmt
* Sun Jun  6 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.4.0
- version up for release
* Sun Jun  6 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.3.52
- x86-64 support
* Sat Jun  5 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.3.51
- Code cleanup. Separating architecture dependent code.
* Wed Jun  2 2004 Dave Anderson <anderson@redhat.com> 0.3.2-1
  Changed Source0 to .gz (from .bz2) 
  Added archive creation to Makefile (as done by netdump)
* Mon May 28 2004 Tatsuo Uchida <tuchida@redhat.com>
- v0.3.50 IPF start
* Thu May 21 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.3.0
- README description of module parameters are revised according to Dave Anderson.
* Thu May 20 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.2.99
- Fixed by Dave Anderson's review
- Whole English in manuals and README were updated.
- FIxed invalid size specified in ftruncate().
- diskdump has its own script diskdump-nospace instead of netdump-nospace.
- add diskdump-nospace sample. 
* Thu May 10 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.1.9 IDE dump support
* Thu Mar  3 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.0.2 memory hole support
* Thu Feb 18 2004 Nobuhiro Tachino <ntachino@redhat.com>
- Initial build.
